Find content similar to a given document or URL using vector similarity, entity overlap, and cluster analysis.
Authorization
apiKey Use your Lightfast API key (sk-lf-...) as the bearer token. Optionally include X-Workspace-ID header.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://lightfast.ai/v1/findsimilar" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"source": {
"id": "string",
"title": "string",
"type": "string"
},
"similar": [
{
"id": "string",
"title": "string",
"source": "string",
"type": "string",
"url": "string",
"occurredAt": "2019-08-24T14:15:22Z",
"snippet": "string",
"score": 0,
"similarity": 0,
"entityOverlap": 0
}
]
},
"meta": {
"total": 0,
"took": 0
},
"requestId": "string"
}